%define api 1.8
%define major 10
%define libname %mklibname upnp %{api} %{major}
%define libixml %mklibname ixml %{api} %{major}
%define devname %mklibname upnp %{api} -d

Summary:	Library and tools for the UPnP protocol
Name:		libupnp1.8
Version:	1.8.1
Release:	2
License:	BSD
Group:		System/Libraries
Url:		http://pupnp.sourceforge.net/
Source0:	https://github.com/mrjimenez/pupnp/archive/release-%{version}.tar.gz?/pupnp-release-%{version}.tar.gz

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library and tools for the UPnP protocol
Group:		System/Libraries

%description -n %{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%files -n %{libname}
%doc LICENSE NEWS THANKS
%{_libdir}/libupnp-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libixml}
Summary:	Library and tools for the UPnP protocol
Group:		System/Libraries

%description -n %{libixml}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%files -n %{libixml}
%{_libdir}/libixml-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files fom %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libixml} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Libraries and header files for developing programs based on %{name}.

%files -n %{devname}
%{_includedir}/upnp-%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libupnp-%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -qn pupnp-release-%{version}

%build
autoreconf -fi
%configure2_5x \
	--enable-reuseaddr \
	--enable-tools \
	--disable-static
%make

%install
%makeinstall_std


%changelog

* Tue May 30 2017 Rosa <rosa@abf.rosalinux.ru> 1.8.1-2
- (b8163e7) Automatic import for version 1.8.1-2


